Summary: A password-checking library.
Name: cracklib
Version: 2.7
Release: 16tr
Group: Trustix Official
Source: http://www.users.dircon.co.uk/~crypto/download/cracklib,2.7.tgz
URL: http://www.users.dircon.co.uk/~crypto/
License: Artistic
Patch: cracklib-2.7-redhat.patch
Buildroot: /var/tmp/%{name}-root/

%description
CrackLib tests passwords to determine whether they match certain
security-oriented characteristics. You can use CrackLib to stop
users from choosing passwords which would be easy to guess. CrackLib
performs certain tests: 

* It tries to generate words from a username and gecos entry and 
  checks those words against the password;
* It checks for simplistic patterns in passwords;
* It checks for the password in a dictionary.

CrackLib is actually a library containing a particular
C function which is used to check the password, as well as
other C functions. CrackLib is not a replacement for a passwd
program; it must be used in conjunction with an existing passwd
program.

Install the cracklib package if you need a program to check users'
passwords to see if they are at least minimally secure. If you
install CrackLib, you'll also want to install the cracklib-dicts
package.

%package dicts
Summary: The standard CrackLib dictionaries.
Group: Trustix Official
Requires: words

%description dicts
The cracklib-dicts package includes the CrackLib dictionaries.
CrackLib will need to use the dictionary appropriate to your system,
which is normally put in /usr/dict/words.  Cracklib-dicts also contains
the utilities necessary for the creation of new dictionaries.

If you are installing CrackLib, you should also install cracklib-dicts.

%prep
%setup -q -n cracklib,2.7
%patch -p1

%build
RPM_OPT_FLAGS="${RPM_OPT_FLAGS} %{?no_stack_protector}"
make all CC=gcc

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/usr/{sbin,lib,include}
make install ROOT=$RPM_BUILD_ROOT
strip $RPM_BUILD_ROOT/usr/sbin/packer

%files
%defattr(-,root,root)
%doc README MANIFEST LICENCE HISTORY POSTER
/usr/include/*
/usr/lib/lib*

%files dicts
%defattr(-,root,root)
/usr/sbin/*
/usr/lib/cracklib_dict*

%changelog
* Fri Jan 23 2004 Oystein Viggen <oysteivi at trustix dot org> 2.7-14ov
- Does not build with stack protector enabled

* Tue Dec  9 2003 Erlend Midttun <erlendbm at trustix dot org> 2.7-13tr
- Big rebuild

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 2.7-12tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 2.7-11em
- Rebuilt against glibc 2.3.2.

* Tue Mar  4 2003 Erlend Midttun <erlendbm at trustix dot com> 2.7-10em
- Added Requires: words.

* Tue Feb 23 2003 Erlend Midttun <erlendbm at trustix dot com> 2.7-9em
- Fixed setup.

* Tue Jul 16 2002 Christian H. Toldnes <christht at trustix dot com> 2.7-8ct
- Rebuilt to fit TSL 2.0

* Tue Jul 17 2001 Erlend Midttun <erlendbm at trustix dot com>
- Inc serial number before release.

* Sat Mar 18 2000 Michael Tokarev <mjt@tls.msk.ru>
- added %defattr(-,root,root)

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Sat May 09 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Mar 10 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.7
- build shared libraries

* Mon Nov 03 1997 Donnie Barnes <djb@redhat.com>
- added -fPIC

* Mon Oct 13 1997 Donnie Barnes <djb@redhat.com>
- basic spec file cleanups

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

